Duplicates an existing item within the same container.
curl --request POST \
--url https://{install}/api/item/copy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"itemId": "<string>"
}
'import requests
url = "https://{install}/api/item/copy"
payload = { "itemId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({itemId: '<string>'})
};
fetch('https://{install}/api/item/copy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://{install}/api/item/copy");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"itemId\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
{
"entity": "<string>",
"containerId": "<string>",
"processId": "<string>",
"sequence": 123,
"boardId": "<string>",
"cycleId": "<string>",
"resourceType": 123,
"resourceId": "<string>",
"dateOpened": "2023-11-07T05:31:56Z",
"dateWorking": "2023-11-07T05:31:56Z",
"dateClosed": "2023-11-07T05:31:56Z",
"time": [
{
"id": "<string>",
"dated": "2023-11-07T05:31:56Z",
"userId": "<string>",
"timeTypeId": "<string>",
"timeLogged": "<string>",
"comment": "<string>",
"status": 123
}
],
"field": [
{
"fieldId": "<string>",
"data": "<string>"
}
],
"meta": [
{
"key": "<string>",
"value": "<string>"
}
],
"clockStart": "2023-11-07T05:31:56Z",
"clockFinish": "2023-11-07T05:31:56Z",
"clockDelta": 123,
"clockHours": 123,
"clockStatus": 123,
"dependencyKey": "<string>",
"dependencyIndent": 123,
"dependencyChild": 123,
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": true
}Items
Duplicates an existing item within the same container.
POST
/
api
/
item
/
copy
Duplicates an existing item within the same container.
Authorizations
JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.
Body
application/jsonapplication/*+json
The copy request containing the source item ID.
Response
The duplicated item.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I